@echo off
cls
echo Compiling... ВВВВВВВВВВВВВВВВВВВВ 0%%
Compil32 /cc "Darksiders.iss"
if ERRORLEVEL 2 goto cerror
if ERRORLEVEL 1 goto ierror
cls
echo Compiling... лллллллллллллллллллл 100%%
echo.
echo Creating ISO images... ВВВВВВВВВВВВВВВВВВВВ 0%%
move .\compiled\*1*.bin .\compiled\Darksiders_1\ >nul
move .\compiled\setup.exe .\compiled\Darksiders_1\ >nul
move .\compiled\*2*.bin .\compiled\Darksiders_2\ >nul
move .\compiled\*3*.bin .\compiled\Darksiders_3\ >nul
CDIMAGE -l"Darksiders_1" -j1 -t9/24/2010 -h -x -o -m ".\Compiled\Darksiders_1" ".\Compiled\Darksiders_1.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Compiling... лллллллллллллллллллл 100%%
echo.
echo Creating ISO images... ллллллВВВВВВВВВВВВВВ 33%%
CDIMAGE -l"Darksiders_2" -j1 -t9/24/2010 -h -x -o -m ".\Compiled\Darksiders_2" ".\Compiled\Darksiders_2.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Compiling... лллллллллллллллллллл 100%%
echo.
echo Creating ISO images... ллллллллллллВВВВВВВВ 66%%
CDIMAGE -l"Darksiders_3" -j1 -t9/24/2010 -h -x -o -m ".\Compiled\Darksiders_3" ".\Compiled\Darksiders_3.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Compiling... лллллллллллллллллллл 100%%
echo.
echo Creating ISO images... лллллллллллллллллллл 100%%
echo.All done.
pause
rd /s /q .\compiled\Darksiders_1 .\compiled\Darksiders_2 .\compiled\Darksiders_3 
goto EOF
:cerror
echo WARNING: Compile failed, please retry... 
pause
goto EOF
:ierror
echo WARNING: Internal error occurred, please retry... 
pause
goto EOF
:CDIerror
echo WARNING: Creation of ISO Images failed , please retry... 
pause
:EOF
